¡Bienvenido!

Esta comunidad es para profesionales y entusiastas de nuestros productos y servicios, compartir los mejores contenidos y nuevas ideas de marketing, construir su perfil profesional y mejorar el mercado para todos.

0

Problemas al instalar l10n_cl_dte_point_of

por
Rubén
en 05-06-20 17:49 53 vistas

Buenas tardes,


    Estoy tratando de instalar la aplicación  l10n_cl_dte_point_of_sale en odoo 12 y me da el siguiente error. 


Espero puedan ayudarme.


De ante mano muchas gracias. 




Error:


Odoo Server Error




Traceback (most recent call last):


  File "/opt/odoo/odoo/odoo/models.py", line 1126, in _validate_fields


    check(self)


  File "/opt/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 351, in _check_xml


    self.postprocess_and_fields(view.model, view_doc, view.id)


  File "/opt/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 1098, in postprocess_and_fields


    self.raise_view_error(_('Model not found: %(model)s') % dict(model=model), view_id)


  File "/opt/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 568, in raise_view_error


    raise ValueError(message)


ValueError: Modelo no encontrado: pos.order.refund




Contexto del error:


Vista `pos.order.refun.form`


[view_id: 1160, xml_id: n/a, model: pos.order.refund, parent_id: n/a]




During handling of the above exception, another exception occurred:




Traceback (most recent call last):


  File "/opt/odoo/odoo/odoo/tools/convert.py", line 758, in parse


    self._tags[rec.tag](rec, de, mode=mode)


  File "/opt/odoo/odoo/odoo/tools/convert.py", line 663, in _tag_record


    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')


  File "/opt/odoo/odoo/odoo/models.py", line 3888, in _load_records


    records = self._load_records_create([data['values'] for data in to_create])


  File "/opt/odoo/odoo/odoo/models.py", line 3802, in _load_records_create


    return self.create(values)


  File "<decorator-gen-32>", line 2, in create


  File "/opt/odoo/odoo/odoo/api.py", line 462, in _model_create_multi


    return create(self, arg)


  File "/opt/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 428, in create


    return super(View, self).create(vals_list)


  File "<decorator-gen-3>", line 2, in create


  File "/opt/odoo/odoo/odoo/api.py", line 462, in _model_create_multi


    return create(self, arg)


  File "/opt/odoo/odoo/odoo/models.py", line 3619, in create


    fields[0].determine_inverse(batch_recs)


  File "/opt/odoo/odoo/odoo/fields.py", line 1141, in determine_inverse


    getattr(records, self.inverse)()


  File "/opt/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 275, in _inverse_arch


    view.write(data)


  File "/opt/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 445, in write


    res = super(View, self).write(self._compute_defaults(vals))


  File "/opt/odoo/odoo/odoo/models.py", line 3344, in write


    self._write(store_vals)


  File "/opt/odoo/odoo/odoo/models.py", line 3480, in _write


    self._validate_fields(vals)


  File "/opt/odoo/odoo/odoo/models.py", line 1130, in _validate_fields


    raise ValidationError("%s\n\n%s" % (_("Error while validating constraint"), tools.ustr(e)))


odoo.exceptions.ValidationError: ('Error mientras se validaban las restricciones\n\nModelo no encontrado: pos.order.refund\n\nContexto del error:\nVista `pos.order.refun.form`\n[view_id: 1160, xml_id: n/a, model: pos.order.refund, parent_id: n/a]', None)




During handling of the above exception, another exception occurred:




Traceback (most recent call last):


  File "/opt/odoo/odoo/odoo/http.py", line 656, in _handle_exception


    return super(JsonRequest, self)._handle_exception(exception)


  File "/opt/odoo/odoo/odoo/http.py", line 314, in _handle_exception


    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])


  File "/opt/odoo/odoo/odoo/tools/pycompat.py", line 87, in reraise


    raise value


  File "/opt/odoo/odoo/odoo/http.py", line 698, in dispatch


    result = self._call_function(**self.params)


  File "/opt/odoo/odoo/odoo/http.py", line 346, in _call_function


    return checked_call(self.db, *args, **kwargs)


  File "/opt/odoo/odoo/odoo/service/model.py", line 98, in wrapper


    return f(dbname, *args, **kwargs)


  File "/opt/odoo/odoo/odoo/http.py", line 339, in checked_call


    result = self.endpoint(*a, **kw)


  File "/opt/odoo/odoo/odoo/http.py", line 941, in __call__


    return self.method(*args, **kw)


  File "/opt/odoo/odoo/odoo/http.py", line 519, in response_wrap


    response = f(*args, **kw)


  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 966, in call_button


    action = self._call_kw(model, method, args, {})


  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 954, in _call_kw


    return call_kw(request.env[model], method, args, kwargs)


  File "/opt/odoo/odoo/odoo/api.py", line 759, in call_kw


    return _call_kw_multi(method, model, args, kwargs)


  File "/opt/odoo/odoo/odoo/api.py", line 746, in _call_kw_multi


    result = method(recs, *args, **kwargs)


  File "<decorator-gen-61>", line 2, in button_immediate_install


  File "/opt/odoo/odoo/odoo/addons/base/models/ir_module.py", line 74, in check_and_log


    return method(self, *args, **kwargs)


  File "/opt/odoo/odoo/odoo/addons/base/models/ir_module.py", line 445, in button_immediate_install


    return self._button_immediate_function(type(self).button_install)


  File "/opt/odoo/odoo/odoo/addons/base/models/ir_module.py", line 561, in _button_immediate_function


    modules.registry.Registry.new(self._cr.dbname, update_module=True)


  File "/opt/odoo/odoo/odoo/modules/registry.py", line 86, in new


    odoo.modules.load_modules(registry._db, force_demo, status, update_module)


  File "/opt/odoo/odoo/odoo/modules/loading.py", line 421, in load_modules


    loaded_modules, update_module, models_to_check)


  File "/opt/odoo/odoo/odoo/modules/loading.py", line 313, in load_marked_modules


    perform_checks=perform_checks, models_to_check=models_to_check


  File "/opt/odoo/odoo/odoo/modules/loading.py", line 222, in load_module_graph


    load_data(cr, idref, mode, kind='data', package=package, report=report)


  File "/opt/odoo/odoo/odoo/modules/loading.py", line 68, in load_data


    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)


  File "/opt/odoo/odoo/odoo/tools/convert.py", line 802, in convert_file


    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)


  File "/opt/odoo/odoo/odoo/tools/convert.py", line 865, in convert_xml_import


    obj.parse(doc.getroot(), mode=mode)


  File "/opt/odoo/odoo/odoo/tools/convert.py", line 755, in parse


    self.parse(rec, mode)


  File "/opt/odoo/odoo/odoo/tools/convert.py", line 764, in parse


    exc_info[2]


  File "/opt/odoo/odoo/odoo/tools/pycompat.py", line 86, in reraise


    raise value.with_traceback(tb)


  File "/opt/odoo/odoo/odoo/tools/convert.py", line 758, in parse


    self._tags[rec.tag](rec, de, mode=mode)


  File "/opt/odoo/odoo/odoo/tools/convert.py", line 663, in _tag_record


    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')


  File "/opt/odoo/odoo/odoo/models.py", line 3888, in _load_records


    records = self._load_records_create([data['values'] for data in to_create])


  File "/opt/odoo/odoo/odoo/models.py", line 3802, in _load_records_create


    return self.create(values)


  File "<decorator-gen-32>", line 2, in create


  File "/opt/odoo/odoo/odoo/api.py", line 462, in _model_create_multi


    return create(self, arg)


  File "/opt/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 428, in create


    return super(View, self).create(vals_list)


  File "<decorator-gen-3>", line 2, in create


  File "/opt/odoo/odoo/odoo/api.py", line 462, in _model_create_multi


    return create(self, arg)


  File "/opt/odoo/odoo/odoo/models.py", line 3619, in create


    fields[0].determine_inverse(batch_recs)


  File "/opt/odoo/odoo/odoo/fields.py", line 1141, in determine_inverse


    getattr(records, self.inverse)()


  File "/opt/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 275, in _inverse_arch


    view.write(data)


  File "/opt/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 445, in write


    res = super(View, self).write(self._compute_defaults(vals))


  File "/opt/odoo/odoo/odoo/models.py", line 3344, in write


    self._write(store_vals)


  File "/opt/odoo/odoo/odoo/models.py", line 3480, in _write


    self._validate_fields(vals)


  File "/opt/odoo/odoo/odoo/models.py", line 1130, in _validate_fields


    raise ValidationError("%s\n\n%s" % (_("Error while validating constraint"), tools.ustr(e)))


odoo.tools.convert.ParseError: "Error mientras se validaban las restricciones




Modelo no encontrado: pos.order.refund




Contexto del error:


Vista `pos.order.refun.form`


[view_id: 1160, xml_id: n/a, model: pos.order.refund, parent_id: n/a]


None" while parsing /opt/odoo/odoo/addons/l10n_cl_dte_point_of_sale/wizard/notas.xml:5, near


<record id="view_pos_order_refund" model="ir.ui.view">


            <field name="name">pos.order.refun.form</field>


            <field name="model">pos.order.refund</field>


            <field name="arch" type="xml">


                <form string="Nota de Crédito / Débito">


                  <group>


                    <field name="tipo_nota" widget="radio"/>


                  </group>


                  <group>


                     <group>


                         <field name="filter_refund" widget="radio"/>


                     </group>


                     <group>


                         <div attrs="{'invisible':[('filter_refund','&lt;&gt;','refund')]}" class="oe_grey" colspan="4">


                            You will be able to edit and validate this


                            credit note directly or keep it draft,


                            waiting for the document to be issued by


                            your supplier/customer.


                         </div>


                         <div attrs="{'invisible':[('filter_refund','&lt;&gt;','cancel')]}" class="oe_grey" colspan="4">


                            Use this option if you want to cancel an invoice you should not


                            have issued. The credit note will be created, validated and reconciled


                            with the invoice. You will not be able to modify the credit note.


                         </div>


                         <div attrs="{'invisible':[('filter_refund','&lt;&gt;','modify')]}" class="oe_grey" colspan="4">


                            Use this option if you want to cancel an invoice and create a new


                            one. The credit note will be created, validated and reconciled


                            with the current invoice. A new, draft, invoice will be created


                            so that you can edit it.


                         </div>


                     </group>


                     <group>


                         <field name="motivo"/>


                     </group>


                     <group>


                         <field name="date_order"/>


                     </group>


                  </group>


                  <footer>


                      <button string="Crear Nota" name="confirm" type="object" class="btn-primary"/>


                      <button string="Cancelar" class="btn-default" special="cancel"/>


                  </footer>


                </form>


            </field>


        </record>

hola, el error parece ser el clásico problema en que no han subido correctamente los archivos o no han reiniciado los servicios de odoo o no ha instalado correctamente las dependencias python

Daniel Alejandro Santibanez Polanco, Daniel Santibáñez Polanco
de 07-06-20 09:05

Mantener informado

Acerca de esta comunidad

Esta comunidad Relacionada a Odoo y la Facturación electrónica Chilena.
Cualquier consulta pública sobre los módulos abiertos se puede hacer aquí
Lea los lineamientos

Herramientas de las preguntas

12 seguidor(es)

Estadísticas

Preguntado: 05-06-20 17:49
Visto: 53 veces
Última actualización: 07-06-20 09:03